using System;
using UnityEngine;

namespace everlaster
{
    sealed class ChildrenChangedListener : MonoBehaviour
    {
        public Action<Transform> OnTransformChildrenChangedHandlers { get; set; }

        void OnTransformChildrenChanged()
        {
            OnTransformChildrenChangedHandlers?.Invoke(transform);
        }
    }
}
