﻿using UnityEngine.UI;

namespace everlaster
{
    static class UIDynamicPopupExtensions
    {
        public static void SetInteractable(this UIDynamicPopup uiDynamicPopup, bool interactable)
        {
            var slider = uiDynamicPopup.GetComponentInChildren<Slider>();
            if(slider)
            {
                slider.interactable = interactable;
            }

            foreach(var button in uiDynamicPopup.GetComponentsInChildren<Button>())
            {
                button.interactable = interactable;
            }
        }
    }
}
